Subject: Re: [PATCH 0/4] fixup for hn/reftable

From: Junio C Hamano <[email-masked]>
Date: Wed, 08 Sep 2021 11:50:26 -0700

Carlo Marcelo Arenas Belón  <[email-masked]> writes:

> DEVELOPER=1 wasn't working well in OpenBSD until cb/makefile-apple-clang
> (which just hit next), so I missed it in my previous run.
>
> hopefully it is not too late to fix this, otherwise.

I haven't merged them to 'next', so it is easy to accept a
reroll.

> As usual they should apply to the patch they refer to and are based on the
> last reroll in seen (tip 1427aef0bd as of e881a4ab6c (Merge branch
> 'hn/reftable' into seen, 2021-09-07)
>
> Except from the last patch (and two other minor refactors I couldn't avoid)
> they could all be one single change to move the declaration for the zlib
> compat function to some place where it could be visible from the two files
> that will use it, but it was spread on multiple files to easy autosquashing
>
> Carlo Marcelo Arenas Belón (4):
>   fixup! reftable: reading/writing blocks
>   fixup! reftable: utility functions
>   fixup! Provide zlib's uncompress2 from compat/zlib-compat.c
>   fixup! reftable: utility functions
>
>  compat/zlib-uncompress2.c |  3 +++
>  reftable/basics.h         |  1 -
>  reftable/block.c          |  9 ---------
>  reftable/system.h         | 10 +++++++++-
>  4 files changed, 12 insertions(+), 11 deletions(-)